Subject: 23.0.91; set-default-font incorrectly changes font height?
From: Miles Bader <[email-masked]>
To: [email-masked]
Date: Thu, 19 Mar 2009 09:36:02 +0900

When I use `set-default-font', it seems to affect the font-height even
though I explicitly tell it to only change the family.

To reproduce:

 (1) Start emacs with:  emacs -Q

 (2) Evaluate the following in *scratch*:

        (set-default-font "Liberation Mono-8")
 
     Notice that the font is now fairly small, as I specified an 8-point font.

 (3) Evaluate the following in *scratch*:

        (set-fontset-font nil 'unicode
                          (font-spec :family "Dejavu Sans Mono")
                          nil 'prepend)

 (4) ** Notice that the default font size has changed to become fairly
     large , even though I explicitly specified only the family to
     `set-fontset-font'. **

 (5) I can then force the size back to the original correct size using:

        (set-face-attribute 'default nil :height 80)

[Hopefully you have those two fonts on your system, as they're common
free fonts; however any two scalable fonts will probably work.]

Thanks,

-Miles

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.91/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.14 (x86_64-unknown-linux-gnu, GTK+ Version 2.15.5)
 of 2009-03-18 on catnip
Windowing system distributor `The X.Org Foundation', version 11.0.10599902
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  rcirc-track-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
8 " ) <return> C-x C-v ~ / . e m a c s . e l <return> 
<escape> > C-u C-p C-u C-p C-u C-p C-p C-SPC C-n <escape> 
w C-x C-n C-SPC C-p C-SPC C-n C-n <escape> w C-x b 
<return> C-y C-p C-e C-p M-b M-b M-b <escape> h <escape> 
h D e j a v u SPC S a n s SPC m <backspace> M o n o 
<escape> d C-n M-b M-b M-b M-b C o u r i e r <escape> 
d <escape> d <escape> d C-x C-s C-s e C-p C-p M-b M-b 
<escape> h C-x C-s C-n C-h f <return> C-x o C-v C-n 
<tab> <return> C-x p C-f ( f o n t - s p e c SPC " 
f a m i l <escape> h <backspace> : f a m i l y SPC 
C-M-f ) C-M-b C-n C-b C-n C-M-f C-M-f C-M-f C-M-f C-M-b 
( f o n t <escape> ' SPC : f a m i l y SPC C-M-f ) 
C-x C-s C-p C-p C-a C-k C-k C-e M-b M-b M-b <escape> 
C-g C-a C-y C-p M-f M-f M-p C-a C-k C-k C-x C-s ( s 
e t - f a c e - a t t r i b u t e SPC : <backspace> 
' d e f a u l t SPC n i l SPC : h e i g h t SPC " 8 
0 " ) C-j C-p C-SPC C-e <escape> w C-a C-k C-p C-p 
C-p C-n ; C-x C-s C-SPC C-e <escape> w C-/ C-n C-n 
C-SPC C-p C-p C-p <escape> w r e C-g <escape> x r e 
p o C-g <escape> h <escape> x r e p o r t - e m a SPC 
<return>

Recent messages:
Saving file /tmp/.emacs...
Wrote /tmp/.emacs
Mark set
Undo!
Mark set
xding
Quit
xding
Quit
Scanning for dabbrevs...100%

-- 
Barometer, n. An ingenious instrument which indicates what kind of weather we
are having.